Bug 1276395 - Ansible fails to install
Summary: Ansible fails to install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Andrew Butcher
QA Contact: Ma xiaoqiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-29 15:20 UTC by Josep 'Pep' Turro Mauri
Modified: 2019-09-12 09:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-20 15:41:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Josep 'Pep' Turro Mauri 2015-10-29 15:20:42 UTC
Description of problem:

tried an HA install of (current) OSE 3.0.2. It fails:

  TASK: [openshift_master_certificates | file ]
  ...
  msg: src file does not exist, use "force=yes" if you really want to create the link: /etc/openshift/master/master.proxy-client.crt

Tracked it down to:

  version_greater_than_3_1_or_1_1: True

which is not the case here.

Version-Release number of selected component (if applicable):

playbooks: openshift-ansible-3.0.4-1-7-g16d1bce
openshift v3.0.2.0-20-g656dc3e

How reproducible:
Always

Steps to Reproduce:
1. Start a playbooks/byo/config.yml run with deployment_type=enterprise, 3 masters, 3 etcd

Comment 1 Andrew Butcher 2015-10-30 14:35:18 UTC
Fact should be based on enterprise RC version (>3.0.2.900). Pull request here:

https://github.com/openshift/openshift-ansible/pull/775

Comment 5 Johnny Liu 2015-11-12 10:59:55 UTC
Install released openshift-3.0.2.0-0.git.33.f6b0f24.el7ose.x86_64 with the current latest openshift-ansible to set up pacemaker master ha, installation is completed successfully.


Note You need to log in before you can comment on or make changes to this bug.